/*
 * Created on Mar 7, 2005
 */
package org.exoplatform.portlets.workflow.component;

import javax.jcr.Node;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.faces.core.component.UIExoComponentBase;

/**
 * @author benjaminmestrallet
 */
public class UINodeView extends UIExoComponentBase{

  private Node node ;
  private String portalName_ ;
  
  public UINodeView() {
    setId("UINodeView") ;
    setRendererType("VelocityRenderer") ;
    portalName_ = 
      PortalContainer.getInstance().getPortalContainerInfo().getContainerName() ;
  }
  
  public void setNode(Node node){
    this.node = node;
  }
  public Node getNode()  { return node  ; }
  
  public String getNodeType() throws Exception { 
    return node.getPrimaryNodeType().getName() ;
  }
  
  public String getPortalName() { return portalName_ ; }
  
}
