/*
 * Created on Mar 2, 2005
 */
package org.exoplatform.services.calendar.impl;

import javax.jcr.Node;
import javax.jcr.PathNotFoundException;
import javax.jcr.RepositoryException;

import org.apache.commons.lang.StringUtils;

/**
 * @author benjaminmestrallet
 */
public class Utils {

  public static Node makePath(Node rootNode, String path, String nodetype)
      throws PathNotFoundException, RepositoryException {
    String[] tokens = StringUtils.split(path, '/');
    Node node = rootNode;
    for (int i = 0; i < tokens.length; i++) {
      String token = tokens[i];
      if (!node.hasNode(token)) {
        node = node.addNode(token, nodetype);
      } else {
        node = node.getNode(token);
      }
    }
    return node;
  }

}