/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.spider.htmlparser.impl;

import java.util.List;

import org.exoplatform.services.spider.core.htmlparser.Node;

/**
 * Created by The eXo Platform SARL
 * Author : Thuannd
 *         nhudinhthuan@yahoo.com
 * Jan 3, 2006
 */
class NodeParser {  
  
  static String colgroup = "colgroup", th = "th", td = "td", tr = "tr",
                            caption = "caption", tbody = "tbody", thead = "thead",
                            tfoot= "tfoot", table = "table", li = "li", ul = "ul",                            
                            ol = "ol", dd = "dd", dt = "dt", dl = "dl",
                            option = "option", select = "select";
  static String [][] options = { {tr, table, null}, {td, tr, null} , {li, ul, ol},
                          {dt, dl, null}, {option, select, null}, { colgroup, table, null},{ dd, dt, null},
  { th, tr, null}};
  
  Node parserNode( List<Token> tokens) {    
    NodeImpl root = new NodeImpl( new Token( "document", "document", StaticData.CONTENT));  
    int idx = 0;
    NodeImpl current = root; 
    Token temp;    
    while( idx < tokens.size()){
      temp = tokens.get( idx);    
      if(temp.getType() == StaticData.CLOSE){       
        current = findCloseNode( temp.getValue(), current); 
      } else{
        NodeImpl node = new NodeImpl(temp);
        if(temp.getType() != StaticData.TAG)
          node.setParent(current);   
        else         
          current = checkOptionNode( node, current);
      }       
      idx++; 
    }    
    return root;
  }  
  
  private NodeImpl findCloseNode( String value, NodeImpl n){   
    NodeImpl node = n;   
//    while( node.getParent() != null){      
//      if( !node.isClose() && (isNode(node, value))){        
//        closeAll( node);        
//        return (NodeImpl)node.getParent(); 
//      }
//      node = (NodeImpl) node.getParent();  
//    }   
    return n;
  }
  
  private NodeImpl checkOptionNode( NodeImpl node, NodeImpl current){
//    if( current == null || current.getParent() == null){
//      node.setParent( current);
//      return node;
//    }
//    NodeImpl temp ;
//    for( int i=0; i<StaticData.OPTION_TAGS.length; i++){
//      temp = closeOptionNode( (byte[])StaticData.OPTION_TAGS[i][0],
//          (byte[])StaticData.OPTION_TAGS[i][1],
//          (byte[])StaticData.OPTION_TAGS[i][2], node, current);
//      if( temp != null) return temp;
//    }
//    node.setParent(current);
    return node;
  }  
  
  private NodeImpl closeOptionNode(byte[] n, byte[] p, byte[] o, NodeImpl node, NodeImpl current){    
//    if( !isNode(node, n)) return null;      
//    NodeImpl pre = findFirst( n, current);
//    NodeImpl parent = findFirst( p, current);
//    if( parent == null && o != null) parent = findFirst( o, current);
//    if( pre == null && parent != null) return null; 
//    if( pre == null && parent == null){
//      parent = new NodeImpl( new Token( p, StaticData.TAG, p.length));
//      parent.setParent(current);
//      parent.setClose( true);     
//    }    
//    node.setParent(parent); 
    return node;    
  }
  
  private NodeImpl findFirst( byte[] name, NodeImpl node ){
//    NodeImpl parent =  node;    
//    while( true){ 
//      if( parent == null) break;      
//      if( !parent.isClose() && ( isNode(parent, name))) return parent;        
//      parent = (NodeImpl) parent.getParent();    
//    }   
    return null;
  }
  
  private void closeAll(NodeImpl node){    
    if( node.isClose()) return;
    for( int i = 0;  i<node.getChildrenSize(); i++) {
      ((NodeImpl)node.getChild(i)).setClose( true);
    }
    node.setClose( true);
  }   

//  private boolean isNode(NodeImpl node, byte[] name){
//    if(node.getToken().getType() == StaticData.CONTENT) return false;
//    return util.startWith( node.getNameAsByte(), name);
//  }
  
  private void setParent(NodeImpl node,NodeImpl current){
//    if(isNode(current, StaticData.OPTION_TABLE)){      
//      if(isNode(node, StaticData.OPTION_TD) || isNode(node, StaticData.OPTION_TH)){
//        Node n = new NodeImpl(new Token(
//            StaticData.OPTION_TR, StaticData.TAG, StaticData.OPTION_TR.length));
//        n.setParent(current);
//        ((NodeImpl)n).setClose( true);    
//        node.setParent(n);
//        return;
//      }else if(!isNode(node, StaticData.OPTION_TR) && !isNode(node, StaticData.OPTION_COLGROUP)
//          && !isNode(node, StaticData.OPTION_CAPTION) && !isNode(node, StaticData.OPTION_THEAD)
//          && !isNode(node, StaticData.OPTION_TFOOT) && !isNode(node, StaticData.OPTION_TBODY)){
//        node.setParent( current.getParent());
//        System.out.println("day roi ne" + current.getParent().getNodeValue());
//        return;         
//      }
//    }else if(isNode(current, StaticData.OPTION_TR)){
//      if(!isNode(node, StaticData.OPTION_TD) && !isNode(node, StaticData.OPTION_TH)){
//        node.setParent( current.getParent().getParent());
//        return;     
//      }
//    }
//    node.setParent( current);
//    return;
  }
  
}
