/***************************************************************************
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.core.launching;

/**
 * A location the represents an eXo tomcat installation
 * 
 * @author Hatim Khan
 */
public interface IExoTomcatLocation extends ITomcatLocation
{
  /**
   * The location of eXo platform source directory
   * 
   * @return the eXo platform source directory
   */
  public String getExoSrc();

  /**
   * Sets the location of eXo platform source directory
   * 
   * @param pExoSrc the eXo platform source directory
   */
  public void setExoSrc(String pExoSrc);

}