/***************************************************************************
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.core.launching;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.launching.IVMInstall;

/**
 * Any provider of information to be used during the launch of a Tomcat should implment
 * this interface.
 * 
 * @author Hatim Khan
 */
public interface ITomcatRuntimeConfigurationProvider
{

  public ITomcatRuntimeConfiguration getConfiguration(ITomcatLocation pTomcatLocation, IVMInstall pVMInstall)
      throws CoreException;

  public String getConfigurationName();

  public String getConfigurationId();
}