/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.core.library;

import org.eclipse.core.runtime.IPath;
import org.eclipse.jdt.core.IClasspathEntry;

/**
 * This class represents an eXo portlet library container. It is immutable.  It
 * contains all the jar files neccessary for the development of  portlets.
 * Also, this container provides the location of the portlet.tld library.
 * Clients are not supposed to extend this class.
 *
 * @author Hatim Khan
 * @version $Revision: 1.1 $
 */
public class ExoPortletLibraryContainer extends ExoLibraryContainer
{
  public static final String CLASS_VERSION = "$Id: ExoPortletLibraryContainer.java,v 1.1 2004/04/19 03:45:47 hatimk Exp $"; //$NON-NLS-1$

  /**
   * The constructor method.
   *
   * @param pPath
   * @param pDescription
   * @param pClasspathEntries
   * @param pVersion
   */
  public ExoPortletLibraryContainer(IPath pPath, String pDescription,
    IClasspathEntry[] pClasspathEntries, String pVersion)
  {
    super(pPath, pDescription, pClasspathEntries, pVersion);
  }
}
