/***************************************************************************
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.core.operation.helper;

import org.eclipse.core.resources.IFile;

/**
 * This interface helps to customize the behaviour of the
 * WebXMLModifyOperation
 *
 * @author Hatim Khan
 * @version $Revision: 1.1 $
 */
public interface IWebXMLModifyStrategy
{
  public static final String CLASS_VERSION = "$Id: IWebXMLModifyStrategy.java,v 1.1 2004/04/19 03:45:48 hatimk Exp $"; //$NON-NLS-1$

  /**   
   * This to give a chance to prompt the user for input.
   *
   * @return false to stop, true to continue execution
   */
  public boolean isOkToModify(IFile pWebXML);
}
