/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/
package org.exoplatform.eclipse.core.portal.model;

/**
 * Any model element that implements this interface is indicating that it is part of a
 * tree like data structure.
 * 
 * @author Hatim Khan
 */
public interface INode
{
  public Object[] getChildren();

  public Object getParent();

  public void setParent(Object pParent);
  
  public boolean removeChild(Object pChild);
  
  public void addChild(Object pChild);
}