/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
import org.exoplatform.test.web.*;
import org.exoplatform.test.web.unit.* ;
import org.exoplatform.test.web.validator.*;
/**
 * May 21, 2004
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: NewAccountSuite.java,v 1.1 2004/10/11 23:27:29 tuan08 Exp $
 **/
public class GoogleSearchSuite extends WebUnitSuite {
  
  public GoogleSearchSuite() {
    super("GroogleSearchSuite", "Groogle Search Suite") ;
    
    addWebUnit(
        new NewSessionUnit("NewSession", "Create new session and go to the home page for the first time").
        setWebsite("http://www.google.ca")
    );
    
    addWebUnit(
        new SubmitFormUnit("SubmitSearchForm", "Search for eXo Platform term").
        setFormName("f").
        setField("hl","en").
        setField("q","exo platform").
        setSubmitButton("btnG").
        addValidator(new ExpectImageWithAltTextValidator("exo"))
    ) ;             
  }
}