/**
 * Copyright 2001-2004 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.css.scanner;

import java.io.IOException;
import java.io.InputStream;
import org.exoplatform.services.css.scanner.event.ScannerListener;
import org.exoplatform.services.css.scanner.model.Document;



/**
 * @author Ove Ranheim (oranheim@yahoo.no)
 * @since 03.jul.2004 15:36:39
 */
public interface CssScanner {

    /**
     * @param listener
     */
    public void addListener(ScannerListener listener);
    
    /**
     * @return
     */
    public InputStream getSource();

    /**
     * @param source
     */
    public void setSource(InputStream source);

    /**
     * @return
     * @throws IOException
     */
    public Document parse() throws IOException;

}
