/**
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/

/**
 * Created by The eXo Platform SARL
 * Author : Daniel Summer
 *          danny_xcz@users.sourceforge.net
 * Date: Nov 29, 2004
 * Time: 3:22:54 PM
 */
package org.exoplatform.services.publish.model;

import java.util.Date;

public interface Content
{
	
  public String getContentId();
  public String getSectionId();
  
  public String getTitle();
  public void setTitle(String s);
  
  public String getIntroText();
  public void setIntroText(String s);
  
  public String getFullText();
  public void setFullText(String s);
  
  public Integer getState();
  public void setState(Integer i);  
  
  public Long getHits();
  public void setHits(Long l);
  
  public Date getCreatedDate();
  public void setCreatedDate(Date d);
  
  public String getCreatedBy();
  public void setCreatedBy(String s); 
  
  public Date getModifiedDate();
  public void setModifiedDate(Date d);
  
  public String getModifiedBy();
  public void setModifiedBy(String s);
  
	
}