/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.core.crawler;

import org.vietspider.veis.impl.core.io.local.LoadedData;
import org.vietspider.veis.impl.core.text.check.NameChecker;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 14, 2005
 */
public class AgentChecker {
  
  private LoadedData url;
  private LoadedData title;
  private NameChecker name;

  public AgentChecker() throws Exception {    
    name = new NameChecker();
    url = new LoadedData( "downloaded");  
    title = new LoadedData( "title");
  } 
  public boolean isUrl( String link, boolean save) throws Exception {   
    return this.url.find( link, save);
  }  
  public boolean isTitle( String txt, boolean save) throws Exception{
    return this.title.find( txt, save);
  }
  public boolean isNotPart(String pattern, String u) throws Exception{
    //System.out.println("pattern "+pattern+" url "+u+" result "+this.name.isNotPart( pattern, u));
   return this.name.isNotPart( pattern, u);
  }

}
