package org.vietspider.veis.impl.core.io.local;

import java.io.File;

import org.vietspider.veis.api.core.agent.Agent;
import org.vietspider.veis.api.io.AgentCollection;
import org.vietspider.veis.impl.core.io.base.UtilFile;

public class FavoritesCollection extends AgentProperties implements AgentCollection {	
  
  public Agent getAgent( String name) throws Exception {
    throw new Exception("Non-support this object implement !");
  }
  
  public Agent getAgent( String domain, String name) throws Exception {
    UtilFile utils = new UtilFile();  
    String path = utils.getFile("data.favorites."+domain, domain+"."+name);
    return super.get( path);
  }
  
  public String [] getFav() throws Exception{
    UtilFile utils = new UtilFile();	
    String path = utils.getFolder("data.favorites");
    File file = new File( path);
    return file.list();
  }
  
  public String[] getAllAgent(String domain) throws Exception{
    UtilFile utils = new UtilFile();	
    String path = utils.getFolder("data.favorites."+domain);		
    File file = new File( path);
    String[] name = file.list();
    return name;
  } 
  
  public void setAgent(String name) throws Exception{    
    UtilFile utils = new UtilFile();			
    String to = utils.getFolder("data.favorites."+name);
    String from = utils.getFolder("data.load");
    File file = new File( from);    
    File[] list = file.listFiles();
    for( File ele : list)    
      super.copy( ele.getAbsolutePath(), to+ele.getName() );     
    
  }
  
  public void setBackAgent(String name) throws Exception{    
    UtilFile utils = new UtilFile();      
    String from  = utils.getFolder("data.favorites."+name);    
    String to= utils.getFolder("data.load");
    File file = new File( from);    
    File[] list = file.listFiles();
    for( File ele : list) {     
      super.copy( ele.getAbsolutePath(), to+ele.getName() );      
    }
  }
  
  public void setAgent( Agent agent) throws Exception{
    throw new Exception("Non-support this object implement !");
  }
  
  public void setAgent( String domain, String name) throws Exception{
    throw new Exception("Non-support this object implement !");
  }
  
  public void delAgent( String domain, String name) throws Exception{
    UtilFile utils = new UtilFile();    
    String path = utils.getFile("data.favorites."+domain, name);
    super.delete( path);
  }
  
  public void delAgent( String domain) throws Exception {
    UtilFile utils = new UtilFile();    
    String path = utils.getFolder( "data.favorites."+domain);
    utils.deleteFolder( path);
  }  
  
  public void deleteAll() throws Exception {
    UtilFile utils = new UtilFile();  
    String path = utils.getFolder("data.favorites");
    utils.deleteFolder( path);
  }
  
}
