/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.core.text.html;

import java.util.ArrayList;
import java.util.List;

import org.vietspider.veis.impl.core.text.check.TagChecker;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 18, 2005
 */
public class DocumentBaseProcessor {  
  
  protected List<String> getValueAttr(List<Tag> tags, String name, String attr, int style) throws Exception{
    TagName tagName = new TagName();
    return this.getValueAttribute( tags, tagName.getTag(name), attr, style);
  }
  
  protected List<String> getValueAttribute(List<Tag> tags, int name, String attr, int style) throws Exception{
    List<String> list = new ArrayList<String>();
    String value;
    TagProcessor pro = new TagProcessor();
    TagChecker  check = null;   
    if( style == 1) check = new TagChecker();
    for( Tag ele : tags)    
      if( (ele.isSingle() || ele.isOpen()) && ele.isTag(name)){
        value = pro.getAttr( ele.getValue(), attr);        
        list = this.addLink( list , value, check, style);
      }
    return list;
  }
  
  private  List<String> addLink(List<String> list,String value, TagChecker  check, int style){
    if( value == null || value == "".intern()) return list;
    if( style == 1 ){
      if( check.isLinkHtml( value)) list.add( value);
    }else
      list.add( value);
    return list;
  } 
  
  protected String subLine( String line, int max){  
    if(line.length() > max+50  && line.indexOf(".", max)> 100){
      return line.substring(0, line.indexOf(".", max));
    }
    return line;
  }
  
}
