/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.vietspider.veis.impl.core.text.html;

import java.util.ArrayList;
import java.util.List;
import org.vietspider.veis.impl.core.io.net.HttpClientImpl;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * @since Jul 1, 2005
 */
public class DocumentRemover {
  
  private List<String> tagValue ;
  
  public DocumentRemover( HttpClientImpl httpClient,
       String link, String [] add, String[] remove) throws Exception {
    Document doc  = new Document( httpClient.loadContent( link), "utf-8");   
    NodeProcessor pro = new NodeProcessor();    
    doc = pro.getDocument( doc, add);
    tagValue = new ArrayList<String>();    
    for( int i=0; i<remove.length; i++){      
      if( !remove[i].trim().equals("")){
        tagValue.add( pro.getTag( doc.getTag(), doc.getNode(), remove[i]).get(0).getValue());       
      }
    }
  }
  
  public Document remove( Document doc) throws Exception {  
    NodeProcessor pro = new NodeProcessor();
    for( String ele : tagValue){     
      doc = new Document( pro.removeNode( doc.getTag(), doc.getNode(), ele));
    }
    return doc;
  }
  
  
}
