package org.vietspider.veis.impl.core.text.html;


public class Tag {
	
	private String value ;
	private int name = -1 ; // index name at the htmltagconfig
	private int style = -1; // text -1, single 0 , open 1 , close 2

	public Tag(String v) throws Exception {
		if( v == null || v.equals(""))
      throw new Exception( "Tag is empty or null.");
		this.value = v;
    
		TagProcessor  pro = new TagProcessor();
    TagName config = new TagName();
    
    String n = pro.getName( this.value);    
    if( n == null || n.trim().equals("")) return;
    n = n.trim();   
    this.name = config.getTag( n);
    if( this.name < 0){      
      this.style = -1;      
    } else if( config.isSingle( this.name)){
      this.style = 0;
    }else if( pro.close)
      this.style = 2;
    else
      this.style = 1;   
	}
	//methods check tag style
	public boolean isOpen(){
		if( style == 1) return true;
    return false;
	}  
	public boolean isClose(){
    if( style == 2) return true;
    return false;
	}	  
	public boolean isSingle(){
    if( style == 0) return true;
    return false;
	}	  
	public boolean isContent(){
    if( style == -1) return true;
    return false;
	}	
  public int getStyle(){
    return this.style;
  }

  
	public String getAttribute( String attr) throws Exception{
		return (new TagProcessor()).getAttr( value, attr);
	}  
	public String getAttribute() throws Exception{
		return (new TagProcessor()).getAttr( value);
	}  
	public void replaceAttribute( String attr) throws Exception {
		if( this.isOpen() || this.isSingle()) 	this.value = "<"+name+" "+attr+">";
	}  
	public void replaceAttribute( String attr, String v) throws Exception {	
		if( this.isOpen() || this.isSingle()){			
			TagProcessor  pro = new TagProcessor();			
			String origin = pro.getAttr(this.value, attr);			
			int start = pro.findAttr( this.value, attr);			
			StringBuilder string = new StringBuilder( this.value);
			string = string.replace( start, start+origin.length()+1, "\""+v);
			this.value = string.toString();
		}
	}
	
	public boolean isTag(int n)  {
		if( this.name == n) return true;	
		return false;
	}
	
	public int getName() {
		return  this.name;
	}	
	public String getValue(){
		return this.value;
	}
}
