/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.ui.publisher.business;

import java.io.File;

import org.vietspider.veis.impl.core.io.base.DataBuffer;
import org.vietspider.veis.impl.core.text.codec.UtilConvert;
import org.vietspider.veis.impl.core.text.html.DocumentProcessor;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 21, 2005
 */
public class PageCreation extends AccessHtmlFile {  
  
  String head =  "<html><head>\n<style type=\"text/css\">\n"
      +"a {text-decoration:none; color: #000000}"
      +"a:hover { color:#FF6600;}a:Visited {color: 84689D;}\n"                   
      +".title { font-family: 'arial'; font-size: 12.5pt; font-weight: bold; margin-top: 0 }\n"                 
      +".des   { font-family: 'Times New Roman'; font-size: 12pt; color: #000000}\n"                  
      +".pAuthor { font-family: 'arial'; font-size: 10pt; text-align: Right; font-weight: bold }\n"
      +".name { font-family: 'arial'; font-size: 9pt; text-align: Right; font-style: italic; }\n"                    
      +"\n</style>\n"
      +"<meta http-equiv=\"content-type\" content=\"text/head; charset=utf-8\">\n"
      +"</head><div align=\"center\"><table  valign=\"center\">\n";
  
  DataBuffer buffer = new DataBuffer();
  DocumentProcessor processor = new DocumentProcessor();
  UtilConvert convert = new UtilConvert(); 
  
  public StringBuilder createDescription( String path, String title, String des, String img, boolean toURL){
    try{    
      String [] split;
      String name = "";      
      if( path.toLowerCase().indexOf("web"+File.separator) > -1){
        name = path.substring( path.toLowerCase().indexOf("web"+File.separator));    
        if( !toURL)   path = name;
        split = name.split(File.separator+File.separator);  
        if( split.length > 4){          
          split[4] = split[4].substring(0, split[4].lastIndexOf("_"));
          split[4] = split[4].replaceAll("\\_","\\:");
          name = "Mục :"+split[2]+", Nguồn : "+ split[3]+", Thời điểm tải : "+ split[4];        
          name = convert.deUnicode( name);
        }
      } 
      
      StringBuilder text  = new StringBuilder("<tr>"
          +  "<td width=\"100%\" vAlign=\"top\" align=\"left\" colspan= \"2\">\n"       
          +  "<a style=\"text-decoration:none\" href=\"");
      if( toURL)
        text.append( (new File( path)).toURL().toString());
      else
        text.append( path); 
      text.append("\" class=\"title\">\n");        
      text.append(  title);
      text.append(".</a></td></tr><tr>\n"
          +  "<td width=\"100%\" vAlign=\"top\" align=\"right\" colspan= \"2\" class=\"name\">\n");      
      text.append(  name); 
      text.append(  "</td></tr>\n" ); 
      
      if( img != null && !img.equals("")){         
        text.append( "<tr><td vAlign =\"top\" align=\"left\">\n<img width=\"130\" src=\"");
        if( img.startsWith("http"))
          text.append( img);
        else
          text.append( new File(path).getParent()+File.separator+img);
        text.append("\"></td><td vAlign=\"top\" align=\"left\" class=\"des\">\n<p align=\"justify\">\n");
        text.append(des);
        text.append(".</p><br></td></tr>\n");                            
        return text;
        
      }
      text.append( "<tr><td vAlign=\"top\" align=\"left\" colspan= \"2\" class=\"des\">"
          +"<p align=\"justify\">");
      text.append(des);
      text.append(".</p><br></td></tr>");
      return text;      
    }catch(Exception exp){
      exp.printStackTrace();
      return new StringBuilder("");
    } 
  }
  
}
