/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.vietspider.veis.temp;

import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * @since Jul 6, 2005
 */
public class jaddress extends JPanel {

  private JLabel lblAddress = null;
  private JTextField txtAddress = null;
  private JButton butGo = null;
  private JButton butSelect = null;

  /**
   * This is the default constructor
   */
  public jaddress() {
    super();
    initialize();
  }

  /**
   * This method initializes this
   * 
   * @return void
   */
  private void initialize() {
    GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
    gridBagConstraints4.insets = new java.awt.Insets(5,5,4,8);
    gridBagConstraints4.gridy = 0;
    gridBagConstraints4.ipady = -1;
    gridBagConstraints4.gridx = 3;
    GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
    gridBagConstraints3.insets = new java.awt.Insets(5,1,4,5);
    gridBagConstraints3.gridy = 0;
    gridBagConstraints3.ipadx = 21;
    gridBagConstraints3.ipady = -1;
    gridBagConstraints3.gridx = 2;
    GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
    gridBagConstraints2.fill = java.awt.GridBagConstraints.HORIZONTAL;
    gridBagConstraints2.gridx = 1;
    gridBagConstraints2.gridy = 0;
    gridBagConstraints2.ipadx = 224;
    gridBagConstraints2.ipady = 5;
    gridBagConstraints2.weightx = 1.0;
    gridBagConstraints2.insets = new java.awt.Insets(5,2,4,1);
    GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
    gridBagConstraints1.insets = new java.awt.Insets(5,5,4,2);
    gridBagConstraints1.gridy = 0;
    gridBagConstraints1.ipadx = 4;
    gridBagConstraints1.ipady = 9;
    gridBagConstraints1.gridx = 0;
    lblAddress = new JLabel();
    lblAddress.setText("Address : ");
    this.setLayout(new GridBagLayout());
    this.setSize(458, 34);
    this.setBackground(new java.awt.Color(51,153,255));
    this.add(lblAddress, gridBagConstraints1);
    this.add(getTxtAddress(), gridBagConstraints2);
    this.add(getButGo(), gridBagConstraints3);
    this.add(getButSelect(), gridBagConstraints4);
  }

  /**
   * This method initializes txtAddress	
   * 	
   * @return javax.swing.JTextField	
   */    
  private JTextField getTxtAddress() {
  	if (txtAddress == null) {
  		txtAddress = new JTextField();
  	}
  	return txtAddress;
  }

  /**
   * This method initializes butGo	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButGo() {
  	if (butGo == null) {
  		butGo = new JButton();
  		butGo.setText("Go");
  	}
  	return butGo;
  }

  /**
   * This method initializes butSelect	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButSelect() {
  	if (butSelect == null) {
  		butSelect = new JButton();
  		butSelect.setText("Select");
  	}
  	return butSelect;
  }

}  //  @jve:decl-index=0:visual-constraint="10,10"
