/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.test.core.text;

import java.io.RandomAccessFile;

import junit.framework.TestCase;

import org.vietspider.veis.impl.core.io.base.DataBuffer;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 21, 2005
 */
public class TestOutFile  extends TestCase {
  
  private int total = 1000;
  
  public void testRandom(){
    long start = System.currentTimeMillis();
    for( int i=0; i<total ;i++){
      try{
        RandomAccessFile current = new RandomAccessFile( "D:\\test\\random.txt", "rw");
        current.seek( current.length());
        current.write( ("\n toi dang thu chuong trinh nay xem co on hay khong").getBytes("utf-8"));
        current.close();
      }catch( Exception exp){
        exp.printStackTrace();
      }
    }
    long end = System.currentTimeMillis();  
    System.out.println("mat khoang voi parser 3 la "+ (end - start));
  }
  public void testBuffer(){
    long start = System.currentTimeMillis();
    for( int i=0; i< total ;i++){
      try{
        DataBuffer buffer = new DataBuffer();
        String text = new String( buffer.loadByte("D:\\test\\buffer.txt"), "utf-8")
                +"\n toi dang thu chuong trinh nay xem co on hay khong";
        buffer.saveByte("D:\\test\\buffer.txt",  text.getBytes("utf-8"));       
      }catch( Exception exp){
        exp.printStackTrace();
      }
    }
    long end = System.currentTimeMillis();  
    System.out.println("mat khoang voi parser 3 la "+ (end - start));
  }
}
