/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.templates.groovy;

import java.io.InputStream;

import org.exoplatform.container.component.BaseComponentPlugin;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Mar 2, 2005
 * @version $Id$
 */
abstract public class GroovyTemplateLoader extends BaseComponentPlugin {
  final static public int VERY_HIGH_PRIORITY = 0 ;
  final static public int HIGH_PRIORITY = 1 ;
  final static public int NORMAL_PRIORITY = 2 ;
  final static public int LOW_PRIORITY = 3 ;
  final static public int VERY_LOW_PRIORITY = 4 ;
  
  private int priority_ = NORMAL_PRIORITY;
  
  public int  getPriority() {  return priority_ ; }
  public void setPriority(int prio) { priority_ = prio ; }
  abstract public boolean canLoad(String type, String uri) throws Exception ;
  abstract public InputStream load(String uri) throws Exception ;
}
