/**
 * Copyright 2001-2003 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail. 
 */
package org.exoplatform.portlets.management.registry.component;

import org.exoplatform.faces.core.component.UIPortlet;
import org.exoplatform.faces.user.component.UIExoPermissionBrowser;
/**
 * Created y the eXo platform team
 * User: Benjamin Mestrallet
 * Date: 16 juin 2004
 */
public class UIPortletManagement extends UIPortlet {

  public UIPortletManagement() throws Exception {
    setRendererType("ChildrenRenderer");
    setId("UIPortletRegistry");
    addChild(UIPortletCategories.class) ;
    addChild(UICategoryForm.class).setRendered(false) ;
    addChild(UIPortletForm.class).setRendered(false) ;
    addChild(UIAvailablePortlet.class).setRendered(false) ;
    addChild(UIPortletPermission.class).setRendered(false) ;
    addChild(UIExoPermissionBrowser.class).setRendered(false);
  }
}