<%import org.exoplatform.test.web.*;%>
<html>
  <body>   
    <table border="1" width="100%">      
      <%int total = 0, unitCount = 0;%>
      <%for(suite in suites.getSuites()) {%>
        <%total += unitCount; unitCount = 0; %>
        <tr>
          <td colspan="9">
            Suite Name: $suite.name <br/>
            Suite Description: $suite.description <br/>
          </td>
        </tr>
        <tr  style="background:#bbb">
          <th>-</td>
          <th>Unit Name</td>
          <th>req</td>
          <th>err</td>
          <th>Malformed</td>          
          <th>Avg(ms)</td>
          <th>Avg(kb)</td>
          <th>Sum(kb)</td>  
          <th>Actions</td>  
        </tr>
        <%for(unit in suite.getWebUnits()) {%>
          <%WebUnitMonitor monitor = unit.getMonitor() %>
          <%unitCount++; %>
          <tr>
            <td style="width: 20px">$unitCount</td>
            <td title="$unit.description">$unit.name</td>            
            <td>$monitor.counter</td>
            <td>$monitor.errorCounter</td>
            <td><%=monitor.getXhtmlMalformedCounter()%></td>
            <td><%=monitor.getAvgExecutionTime()%></td>
            <td><%=monitor.getAvgContentLength()%></td>            
            <td><%=monitor.getSumContentLength()%></td>   
            <td>
              <a title="View Html output" 
                href="/webunit-suites/controller?action=runTest&subaction=showUnitLastResult&unitId=<%=unit.hashCode()%>">
                view
              </a>
            </td>  
          </tr>
        <%}%>
      <%}%>
    </table>
  </body>
</html>