/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.content.jcr.component;

import javax.jcr.Node;
import org.exoplatform.faces.core.component.UIExoComponentBase;
/**
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: UIContentDisplayer.java,v 1.2 2004/08/07 18:11:26 tuan08 Exp $
 */
public class UIDocumentFormController extends UIExoComponentBase implements ChangeNodeListener {
  
  public UIDocumentFormController() throws Exception {
    setRendererType("ChildrenRenderer") ;
    addChild(UISelectDocumentForm.class) ;
    addChild(UIDocumentForm.class) ;
  }
  
  public void  onChange(UIJCRExplorer uiExplorer, Node node)  throws Exception {
    setRendered(false) ;
  }
  
  public void showNewDocumentForm() throws Exception {
    UISelectDocumentForm uiSelect = (UISelectDocumentForm) getChildComponentOfType(UISelectDocumentForm.class);
    uiSelect.update();
    uiSelect.setRendered(true) ;
    UIDocumentForm uiForm = (UIDocumentForm) getChildComponentOfType(UIDocumentForm.class);
    uiForm.showNewDocument(uiSelect.getDefaultDocument()) ;
  }

  public void showEditDocumentForm(String name) throws Exception{
    UISelectDocumentForm uiSelect = 
      (UISelectDocumentForm) getChildComponentOfType(UISelectDocumentForm.class);
    uiSelect.setRendered(false) ;
    UIDocumentForm uiForm = 
      (UIDocumentForm) getChildComponentOfType(UIDocumentForm.class);
    uiForm.editDocument(name) ;    
  }
  
}