package org.exoplatform.services.cms.scripts;

import javax.jcr.NodeIterator;

public interface ScriptService {

  public CmsScript getScript(String scriptName) throws Exception;
  
  public String getScriptAsText(String scriptName) throws Exception;
  
  public NodeIterator getScripts() throws Exception;
  
  public boolean hasScripts() throws Exception;
   
  public void addScript(String name, String text) throws Exception;
  
  public void removeScript(String scriptName) throws Exception;
  
}
