/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.spider.core.data;

/**
 * Created by The eXo Platform SARL
 * Author : Thuannd
 *          nhudinhthuan@yahoo.com
 * Dec 29, 2005
 */
public abstract class AbstractWebSource {
  
  protected String name;
  
  protected String home;
  
  protected String pattern;
  
  protected String charset;
  
  protected String domain;
  
  protected int depth = 1;
  
  protected int type = 0;
  
  protected String[] blockAdd ;
  
  protected String[] blockRemove;  
  
  public void setDomain(String d){
    this.domain = d;
  }
  
  public String getDomain(){
    return this.domain;
  }
  
  public void setName(String n){
    this.name = n;
  } 
  public String getName(){
    return this.name;
  }  
  
  public void setHome(String h){
    this.home = h.replaceAll( "\\&amp;", "\\&").trim();   
  }
  public String getHome(){
    return this.home;
  }
  
  public void setPattern(String p){
    this.pattern = p.trim();//.replaceAll( "\\&amp;", "\\&").trim();    
  }
  public String getPattern(){
    return this.pattern;
  } 
  
  public void setCharset( String c){
    this.charset = c;
  }
  public String getCharset(){
    return this.charset;
  }
  
  public void setDepth(int d){
    this.depth = d;
  }
  public int getDepth(){
    return this.depth;
  }
  
  public void setBlockAdd(String[] a){    
    this.blockAdd =a;
  }
  public String[] getBlockAdd(){
    return this.blockAdd;
  }
  
  public void setBlockRemove(String[] r){
    this.blockRemove = r;
  }
  public String[] getBlockRemove(){
    return this.blockRemove;
  }
}
