/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.spider.core.htmlparser;

import java.io.File;
import java.io.InputStream;

/**
 * Created by The eXo Platform SARL
 * Author : Thuannd
 *         nhudinhthuan@yahoo.com
 * Jan 5, 2006
 */
public interface HTMLFactory { 
  
  public Attribute createAttribute(String name, String value) throws Exception;
  
  public Document createDocument(String html) throws Exception;
  
  public Document createDocument(byte[] data) throws Exception;
  
  public Document createDocument(File file) throws Exception;
  
  public Document createDocument(InputStream file) throws Exception;  
}
