/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.spider.htmlparser.impl;

import java.io.ByteArrayOutputStream;
import java.util.ArrayList;
import java.util.List;

import org.exoplatform.services.spider.core.htmlparser.Node;

/**
 * Created by The eXo Platform SARL
 * Author : Thuannd
 *         nhudinhthuan@yahoo.com
 * Jan 3, 2006
 */
abstract class AbstractNode {
  
  protected Node parent;   
  
  protected List<Node> children;
  
  protected Token token;  
  
  protected boolean close = false ;
  
  AbstractNode( Token t){
    token = t;    
    children = new ArrayList<Node>();   
  } 
  
  
  String toValue()throws Exception{    
    return null;
  }
  
  boolean isClose(){
    if(token.getType() != StaticData.TAG) return true;
    return close;
  }
  
  void setClose(boolean v){
    close = v;
  }
  
  Token getToken( ){
    return token;
  }
 
}
