package org.exoplatform.faces.captchas.renderer.html;

import java.io.IOException;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;

import org.exoplatform.faces.captchas.component.UICaptchaInput;
import org.exoplatform.faces.core.renderer.html.StringInputRenderer;

public class CaptchaInputRenderer extends StringInputRenderer{
  
  public void encodeBegin(FacesContext context, UIComponent component) throws IOException {
    super.encodeBegin(context, component);
    ResponseWriter w = context.getResponseWriter() ;
    UICaptchaInput uiInput = (UICaptchaInput) component;
    String id = uiInput.getCaptchaId();
    String locale = uiInput.getLocale();
    String path = context.getExternalContext().getRequestContextPath();
    w.write("<img src='");
    w.write(path + "/captcha?captchaId=" + id + "&locale=" + locale);
    w.write("'/>");   
  }

}
