/***************************************************************************
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.core;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;

/**
 * Class to initialize the preferences for the eXo Platform core plugin.
 * 
 * @author Hatim Khan
 */
public class ExoCorePreferencesInitializer extends AbstractPreferenceInitializer
{

  public ExoCorePreferencesInitializer()
  {
    super();
  }

  /**
   * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
   */
  public void initializeDefaultPreferences()
  {
    ExoCorePlugin.getDefault().getPluginPreferences().setDefault(
        IPreferencesConstant.PORTLET_VALIDATION_ENABLE,
        IPreferencesConstant.PORTLET_VALIDATION_ENABLE_DEFAULT);
  }
}