/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.core;

/**
 * Holds the keys for all preferences for the eXo Platform core plugin
 * 
 * @author Hatim Khan
 */
public interface IPreferencesConstant
{
  public static final String PORTLET_VALIDATION_ENABLE = "portlet.validation.enable"; //$NON-NLS-1$
  public static final boolean PORTLET_VALIDATION_ENABLE_DEFAULT = true;
  public static final String PORTLET_PROJECT_STORE_WEBFOLDER = "webFolder"; //$NON-NLS-1$  
  public static final String PORTLET_PROJECT_STORE_CONTEXTROOT = "contextRoot"; //$NON-NLS-1$
  public static final String PROJECT_SCOPE_DIRECTORY = ".settings"; //$NON-NSL-1$
}