/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.publish.component;

import java.util.List;
import org.exoplatform.faces.core.component.UIPortlet;

/**
 * Wed, Dec 22, 2003 @ 23:14 
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: UIFilePortlet.java,v 1.3 2004/08/17 13:07:02 tuan08 Exp $
 */
public class UIPublishPortlet extends UIPortlet {

	public UIPublishPortlet(
		UIContentExplorer uiContentExplorer,
		UIContentForm uiContentForm,
		UISectionForm uiSectionForm)
		throws Exception {

		setId("UIPublishPortlet");
		setRendererType("ChildrenRenderer");
		//setClazz("UIPublishPortlet");

		List children = getChildren();
		uiContentExplorer.setRendered(true);
		children.add(uiContentExplorer);
		uiContentForm.setRendered(false);
		children.add(uiContentForm);
		uiSectionForm.setRendered(false);
		children.add(uiSectionForm);

	}

}