/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.publish.renderer.html;

import java.io.IOException;
import java.util.Collection;
import java.util.*;
import java.util.ResourceBundle;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;

import org.exoplatform.faces.core.component.model.PageListDataHandler;
import org.exoplatform.faces.core.component.model.Parameter;
import org.exoplatform.faces.core.renderer.html.HtmlBasicRenderer;
import org.exoplatform.portlets.publish.component.*;
import org.exoplatform.services.publish.model.Content;
import org.exoplatform.services.publish.model.Section;

import java.text.SimpleDateFormat;

/**
 * @email:   danny_xcz@users.sourceforge.net
 */
public class ContentDisplayRenderer extends HtmlBasicRenderer {
private static Parameter BACK_ACTION =   new Parameter(ACTION, "back") ;
Parameter[] backParams = {BACK_ACTION} ;

	final public void encodeBegin(FacesContext context, UIComponent component)
		throws IOException {
		ResourceBundle res =
			getApplicationResourceBundle(context.getExternalContext());
		ResponseWriter w = context.getResponseWriter();
		UIContentDisplay uiContentDisplay = (UIContentDisplay) component;

		w.write("<table class='UIContentDisplay'>");
		w.write("<tr>");
		w.write("<td>");
        w.write(uiContentDisplay.getContent().getTitle());
		w.write("</td>");
		w.write("</tr>");
		
		w.write("<tr>");
		w.write("<td>");
		w.write(uiContentDisplay.getContent().getFullText());
		w.write("</td>");
		w.write("</tr>");
		
		w.write("<tr>");
		w.write("<td>");
		linkRenderer_.render(w,uiContentDisplay, "back", backParams) ;
		w.write("</td>");
		w.write("</tr>");
		w.write("</table>");
	}


}