/**
 * Copyright 2001-2004 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.css.scanner.model;

import java.io.Serializable;
import java.util.List;


/**
 * @author Ove Ranheim (oranheim@yahoo.no)
 * @since 02.jul.2004 12:30:06
 */
public class Property extends Statement implements Serializable {
    
    private String _value;
    
    public Property() {        
    }

    public Property(String name, String value, int start, int end) {
        setName(name);
        _value = value;
        setStart(start);
        setEnd(end);        
    }
    
    public String getValue() {
        return _value;
    }
    
    public void setValue(String value) {
        _value = value;
    }
    
}
