/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.grammar;
import java.io.InputStream ;

/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Oct 19, 2004
 * @version $Id: Analyzer.java,v 1.1 2004/10/20 14:12:02 tuan08 Exp $
 */
public interface Analyzer {
  public void analyze(StringBuffer outBuf, InputStream in) throws Exception ;
  public void analyze(StringBuffer outBuf, String text) throws Exception ;
  public void registerTokenHandler(String name, TokenHandler handler) throws Exception ;
}