/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.grammar.bbcode.test;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.services.grammar.*;
import org.exoplatform.services.grammar.bbcode.BBCodeAnalyzerService;
import org.exoplatform.test.BasicTestCase;
/*
 * Thu, May 15, 2003 @   
 * @author: Tuan Nguyen
 * @version: $Id: TestBBCodeParser.java,v 1.1 2004/10/20 14:19:00 tuan08 Exp $
 * @since: 0.0
 * @email: tuan08@yahoo.com
 */
public class TestBBCodeParser extends BasicTestCase {
  private BBCodeAnalyzerService service_ ;
  
  public TestBBCodeParser(String name) {
    super(name);
  }

  public void setUp() throws Exception {
    PortalContainer pcontainer = PortalContainer.getInstance() ;
    service_ = (BBCodeAnalyzerService) pcontainer.getComponentInstanceOfType(BBCodeAnalyzerService.class) ;
  }

  public void tearDown() throws Exception {
  }
  
  public void testBBCodeParser() throws Exception {
    String test = "This is ::: a :-) [code] test [code] this is[code]  a test :-D[/code]  :-(  , this is a test" ;
    Analyzer analyzer = service_.getAnalyzer() ;
    StringBuffer out  = new StringBuffer() ;
    analyzer.analyze(out, test) ;
    System.out.println("-------------------------------------------------------------------") ;
    System.out.println("out: " + out.toString()) ;
  }
}