/**
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/

/**
 * Created by The eXo Platform SARL
 * Author : Daniel Summer
 *          danny_xcz@users.sourceforge.net
 * Date: Nov 29, 2004
 * Time: 3:22:54 PM
 */
package org.exoplatform.services.publish.impl;


import java.util.Date;

import org.exoplatform.services.publish.model.*;
/**
 * @hibernate.class  table="PUBLISH_CONTENT"
 */
public class ContentImpl implements Content {
    private String contentId;
    private String sectionId;
    private Date createdDate;
    private Date modifiedDate;
    private String createdBy;	//createdby the username of the user who created it
    private String modifiedBy;	//modifiedBy the username of the user who created it
    private String fullText;
    private String introText;
    private Long hits;
    private String title;
    private Integer state;		//the content is published or not
    
	/**
	 * @hibernate.id  generator-class="assigned" unsaved-value="null"
	 ***/
	public String getContentId() {
	    return contentId;
	}
	
	public void setContentId(String s) {
		contentId = s;
	}
	
	/**
	 * @hibernate.property
	 **/
	public String getSectionId() {
		return sectionId;
	}
	public void setSectionId(String s) {
		sectionId = s;
	}

	/**
	 * @hibernate.property
	 **/
	public Date getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(Date d) {
		createdDate = d;
	}
	
	/**
	 * @hibernate.property
	 **/
	public String getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(String s) {
        createdBy = s;
	}
	
	/**
	 * @hibernate.property
     *  column="fulText"
	 **/
	public String getFullText() {
		return fullText;
	}
	
	public void setFullText(String s) {
		fullText = s; 
	}
	/**
	 * @hibernate.property
	 **/
	public Long getHits() {
		return hits;
	}
	public void setHits(Long l) {
		hits = l;
	}
	/**
	 * @hibernate.property
	 **/
	public String getIntroText() {
		return introText;
	}
	public void setIntroText(String s) {
        introText = s;
	}
	/**
	 * @hibernate.property
	 **/
	public Date getModifiedDate() {
		return modifiedDate;
	}
	public void setModifiedDate(Date d) {
		modifiedDate = d;
	}
	/**
	 * @hibernate.property
	 **/
	public String getModifiedBy() {
		return modifiedBy;
	}
	public void setModifiedBy(String s) {
		modifiedBy = s;
	}
	/**
	 * @hibernate.property
	 **/
	public Integer getState() {
		return state;
	}
	public void setState(Integer i) {
		state = i;
	}
	/**
	 * @hibernate.property
	 **/
	public String getTitle() {
		return title;
	}
	public void setTitle(String s) {
		title = s;
	}



}
