package org.vietspider.veis.impl.core.io.local;

import java.io.File;

import org.vietspider.veis.api.core.agent.Agent;
import org.vietspider.veis.api.io.AgentCollection;
import org.vietspider.veis.impl.core.io.base.UtilFile;

public class LoadCollection extends AgentProperties implements AgentCollection {
  
  public Agent getAgent( String name) throws Exception{
    UtilFile utils = new UtilFile();  
    String path = utils.getFile("data.load", name);   
    
    return super.get( path);
  } 
  
  public Agent getAgent( String domain, String name) throws Exception{
    UtilFile utils = new UtilFile();  
    String path = utils.getFile("data.load", domain+"."+name);
    return super.get( path);
  }  
  
  public String[] getAllAgent( String name) throws Exception{
    UtilFile utils = new UtilFile();  
    String path = utils.getFolder("data.load");
    File file = new File( path);
    return file.list();   
  }
  
  public void setAgent( Agent agent) throws Exception {
    throw new Exception("Non-support this object implement !");
  }
  
  public void setAgent( String domain) throws Exception{    
    String[] names = (new ConfigCollection()).getAllAgent( domain);		
    for( String ele : names)
      this.setAgent( domain, ele);	
  }
  
  public void setAgent( String domain, String name) throws Exception{
    UtilFile utils = new UtilFile();  
    String from = utils.getFile("data.config."+domain, domain+"."+name);
    String to = utils.getFile("data.load", domain+"."+name);
    super.copy( from, to);
  }
  
  public void delAgent(  String name) throws Exception{
    UtilFile utils = new UtilFile();		
    String path = utils.getFile("data.load", name);
    super.delete( path);
  }	
  public void delAgent( String domain, String name) throws Exception {
    UtilFile utils = new UtilFile();    
    String path = utils.getFile("data.load", domain+"."+name);
    super.delete( path);
  }
  public void removeAll() throws Exception{
    UtilFile utils = new UtilFile();		
    String path = utils.getFolder("data.load");
    utils.deleteFolder( path);
  }	
  
  
  
}
