package org.vietspider.veis.impl.core.text.codec;

public class UtilConvert {
  
  private  String[] unicode = {
      "à","á","ả","ã","ạ",
      "â","ầ","ấ","ẩ","ẫ","ậ",
      "ă","ằ","ắ","ẳ","ẵ","ặ" ,
      "è","é","ẻ","ẽ","ẹ",
      "ê","ề","ế","ể","ễ","ệ",
      "ò","ó","ỏ","õ","ọ",
      "ô","ồ","ố","ổ","ỗ","ộ",
      "ơ","ờ","ớ","ở","ỡ","ợ",
      "ù","ú","ủ","ũ","ụ",
      "ư","ừ","ứ","ử","ữ","ự",
      "ì","í","ỉ","ĩ","ị",
      "ỳ","ý","ỷ","ỹ","ỵ",  "đ",
      
      "À","Á","Ả","Ã","Ạ",
      "Â","Ầ","Ấ","Ẩ","Ẫ","Ậ",
      "Ă","Ằ","Ắ","Ẳ","Ẵ","Ặ" ,
      "È","É","Ẻ","Ẽ","Ẹ",
      "Ê","Ề","Ế","Ể","Ễ","Ệ",
      "Ò","Ó","Ỏ","Õ","Ọ",
      "Ô","Ồ","Ố","Ổ","Ỗ","Ộ",
      "Ơ","Ờ","Ớ","Ở","Ỡ","Ợ",
      "Ù","Ú","Ủ","Ũ","Ụ",
      "Ư","Ừ","Ứ","Ử","Ữ","Ự",
      "Ì","Í","Ỉ","Ĩ","Ị",
      "Ỳ","Ý","Ỷ","Ỹ","Ỵ","Đ"
  };  
  private  String start = "_eis", end ="eis_";
  public String enUnicode( String name){		
    for( int i=0; i< unicode.length; i++)
      name = name.replaceAll( unicode[i], start+String.valueOf(i)+end);		
    return name;
  }
  public String deUnicode( String name){		
    for( int i=0; i< unicode.length; i++)
      name = name.replaceAll(  start+String.valueOf(i)+end, unicode[i]);
    return name;
  }
}
