/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.core.text.html;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 18, 2005
 */
public class TagName {  
  private String [] name ={
      "area","base","basefont","br","col","!doctype","frame","hr",
      "img","input","isindex","link","meta","param", "script",  // 16 !--
      
      "document",  "a","abbr","acronym","address","applet",
      "b","bdo","big","blockquote","body","button","caption","center",
      "cite","code","colgroup", "comment", "content","dd","del",
      "dfn","dir","div","dl","dt","em","fieldset","font","form","frameset",
      "h1","h2","h3","h4","h5","h6","head","html","i","iframe","ins",
      "kdb","label","legend","li","map","menu","noframes","noscript","object",
      "ol","optgroup","option","p","pre","q","s","samp","script","select",
      "small","span","strike","strong","style","sub","sup","table","tbody",
      "td","textarea","tfoot","th","thead","title","tr","tt","u","ul","var" 
  };
  
  public int getTag( String n){    
//    if( n.trim().startsWith("!--")) return 14;
    for( int i=0; i< name.length; i++)
      if( n.equals( name[i])) return i;    
    return -1;
  }  
  public String getTagName( int i){
    if( i<0 || i>= this.name.length) return null;
    return this.name[i];
  }
  
  public boolean isSingle( int i){
    return (i<15);
  }
}
