package org.vietspider.veis.impl.ui.config.action;

import org.vietspider.veis.api.core.agent.Agent;
import org.vietspider.veis.impl.core.io.local.ConfigCollection;
import org.vietspider.veis.impl.core.text.codec.UtilConvert;

public class AgentListEvent {

	private String name ;
	private String domain;	
	
    public AgentListEvent(String domain, String name) {
         this.domain = domain;
		 this.name = name;		
    }
    public String getDomain()  {
        return domain;
    }
    public void setDomain(String v) {
        this.domain = v;
	}  	
	public String getName()  {
		return name;
	}
	public void setName(String v) {
		this.name = v;
    }
	public Agent getAgent() throws Exception {		
		UtilConvert convert = new UtilConvert();
		return (new ConfigCollection()).getAgent( convert.enUnicode(domain),  convert.enUnicode(name));
	}		
}
