/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.ui.publisher.business;

import java.io.File;
import java.util.List;

import org.vietspider.veis.api.io.ProgressDialog;
import org.vietspider.veis.impl.core.text.html.Document;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 21, 2005
 */

public class StorePageCreation extends PageCreation {   
  
  public int loadData( ProgressDialog progress,  String folder){    
    progress.setMax( 10);
    try{
      util.deleteFolder( util.getFolder("data.temp.web"));
    }catch( Exception exp){
      exp.printStackTrace();
    }
    progress.setValue( 2);     
    progress.setValue( 4);  
    String title;
    int i = 0;
    progress.setValue( 5);
    List<File> list = loadFolder( new File(folder), 3);   
    progress.setValue( 10);
    progress.setMax( list.size());
    progress.setValue( 0);
    
    StringBuilder html = new StringBuilder();
    html.append( head);   
    for( ; i< list.size(); i++){
      progress.count();
      if( i>0 && i%10 == 0){
        html.append( "\n</table></div></html>");        
        try{
          String path = util.getFile( "data.temp.web", String.valueOf( i/10)+".htm");
          buffer.saveByte( path, html.toString().getBytes("utf-8"));
        }catch( Exception exp){
          exp.printStackTrace();
        }
        html = new StringBuilder();
        html.append( head);
      }
      
      try{
        Document doc = new Document( list.get(i), null);
        title =  processor.getTitle( doc.getTag());        
        html.append( createDescription( list.get(i).getAbsolutePath(), title
            , processor.getDescription( doc.getTag(), title),  processor.getImage( doc.getTag()), true));        
      }catch( Exception exp){
        exp.printStackTrace();
      }
    }
    int pageCount = i/10;
    if(i>0 && i%10 != 0) pageCount = i/10 +1;
    html.append( "\n</table></div></html>");        
    try{
      String path = util.getFile( "data.temp.web", String.valueOf( pageCount)+".htm");
      buffer.saveByte( path, html.toString().getBytes("utf-8"));
    }catch( Exception exp){
      exp.printStackTrace();
    } 
    return pageCount;
  }
}
