/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.vietspider.veis.impl.ui.widget;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * @since Jul 25, 2005
 */
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class SimpleFileShop {
  
  public static final int OP_ABORTED = -1;

  
  public static final int OP_FAILED = 1;

 
  public static final int OP_SUCCESSFULL = 0;

 
 
  public static void copy(InputStream fis, OutputStream fos) {
    try {
      byte buffer[] = new byte[0xffff];
      int nbytes;

      while ((nbytes = fis.read(buffer)) != -1)
        fos.write(buffer, 0, nbytes);
    } catch (Exception e) {     
    
    }

      
      if (fos != null) {
        try {
          fos.close();
        } catch (IOException e) {          
        }
      }
   }
  
  public static void copy(String src, String dest) throws IOException {
    copy(new FileInputStream(src), new FileOutputStream(dest));
  }
}