/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.test.core.text;


import junit.framework.TestCase;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 19, 2005
 */
public class TestString extends TestCase { 
 
  int total = 1000000; 
  
  public TestString(){    
  }
  
  public void testEquals(){    
    String a = "thuan";
    boolean r = false;
    long start = System.currentTimeMillis();     
    for( int i=0; i<total; i++){
      if( a.equals("thuan")){
        r = true;
        a = "thuan";
      }else{
        r= false;
      }
    }
    long end = System.currentTimeMillis();   
    System.out.println(" voi string : "+ (end - start));
  }
  
  public void testIntern(){    
    String s1 = new String("thuan") ;
    String s2 = new String("thuan") ;
    
    String s3 = new String("thuan").intern() ;
    String s4 = new String("thuan").intern() ;
    
    String a = "thuan";
    boolean r = false;
    long start = System.currentTimeMillis();     
    for( int i=0; i<total; i++){     
      s1.equals(s2) ;
//      if( a.equals("thuan".intern())){
//        r = true;
//        a = "thuan";
//      }else{
//        r= false;
//      }
    }
    long end = System.currentTimeMillis();   
    System.out.println(" voi intern : "+ (end - start));
    
    
    start = System.currentTimeMillis();     
    for( int i=0; i<total; i++){     
      boolean b = s3 == s4 ;
//      if( a.equals("thuan".intern())){
//        r = true;
//        a = "thuan";
//      }else{
//        r= false;
//      }
    }
    end = System.currentTimeMillis();   
    System.out.println(" voi intern 2 : "+ (end - start));
  }
  
//  public void testString(){    
//    long start = System.currentTimeMillis();      
//    for( int i=0; i<total; i++){
//      String a = "thuan"+"thuan" +"thuan";
//    }
//    
////    System.out.println( " ket qua voi string : "+ a);
//    long end = System.currentTimeMillis();   
//    System.out.println(" voi string : "+ (end - start));
//  
//  }
//  
//  public void testBuffer(){    
//    long start = System.currentTimeMillis();
//    
//   
//    for( int i=0; i<total; i++){
//      StringBuffer a = new StringBuffer() ;
//      a.append("thuan");
//      a.append("thuan");
//      a.append("thuan");
//    }
//      
//
////    System.out.println( " ket qua voi builder : "+ a);
//    long end = System.currentTimeMillis();   
//    System.out.println(" voi builder : "+ (end - start));
//  
//  }
  
//  public void testBuilder(){    
//    long start = System.currentTimeMillis();
//    
//    
//    for( int i=0; i<total; i++){
//      StringBuilder a = new StringBuilder() ;
//      a.append("thuan");
//      a.append("thuan");
//      a.append("thuan");
//    }
//
////    System.out.println( " ket qua voi builder : "+ a);
//    long end = System.currentTimeMillis();   
//    System.out.println(" voi builder : "+ (end - start));
//  
//  }
}
