/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.organization;

import java.util.Map;

/**
 * Created by The eXo Platform SARL
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * Date: Aug 21, 2003
 * Time: 3:22:54 PM
 */

public interface UserProfile {
  final static public String[] PERSONAL_INFO_KEYS =  {
    "user.name.given", "user.name.family", "user.name.nickName", "user.bdate" , 
    "user.gender" , "user.employer" , "user.department",  "user.jobtitle", 
  } ;

 final static public String[] HOME_INFO_KEYS =  {
    "user.home-info.postal.name", "user.home-info.postal.street", 
    "user.home-info.postal.city", "user.home-info.postal.stateprov" ,
    "user.home-info.postal.postalcode", "user.home-info.postal.country",
    "user.home-info.telecom.mobile.number", "user.home-info.telecom.telephone.number", 
    "user.home-info.online.email", "user.home-info.online.uri" 
  } ;

 final static public String[] BUSINESE_INFO_KEYS = {
    "user.business-info.postal.name", "user.business-info.postal.city", 
    "user.business-info.postal.stateprov", "user.business-info.postal.postalcode",
    "user.business-info.postal.country", "user.business-info.telecom.mobile.number",
    "user.business-info.telecom.telephone.number", "user.business-info.online.email",
    "user.business-info.online.uri"
  } ;
 
  final static public String[] OTHER_KEYS = {
    "user.other-info.avatar.url", "user.other-info.signature", 
  } ;
	
	public String getUserName() ;
  public void   setUserName(String username) ;
	
  public Map<String, String>  getUserInfoMap()  ;
  public void setUserInfoMap(Map<String, String> map)  ;
  
  public String getAttribute(String attName) ;
  public void setAttribute(String key, String value) ;
}